@echo off

if "x%JAVA_HOME%" == "x" ( 
  rem Set JAVA_HOME here if not set in system vars.
  set "JAVA_HOME="
)

rem Set the PATH to database drivers here
set "DRIVER_CLASSPATH=%CD%"

rem Set configuration file's location
set "CONFIG_LOCATION=%CD%"
if "x%CONFIG_LOCATION%" == "x" ( 
  rem set "CONFIG_LOCATION=-Dpropertyfile=curamoi%CONFIG_LOCATION%"
) else (
  set "CONFIG_LOCATION=-Dpropertyfile="%CONFIG_LOCATION%""
)


if "x%JAVA_HOME%" == "x" ( 
  echo JAVA_HOME is not set. Unexpected results may occur.
  echo Set JAVA_HOME to the directory of your local JDK to avoid this message.
  goto STOP
) else (
  set "JAVA=%JAVA_HOME%\bin\java"
)

if "x%DRIVER_CLASSPATH%" == "x" ( 
   echo DRIVER_CLASSPATH is not set. ISQL does not have build-in drivers.
   echo Set DRIVER_CLASSPATH to the directory of the database driver classes you are going to use.
   goto STOP
)

set JAVA_OPTS=-Xms256m -Xmx512m -Djava.endorsed.dirs="%DRIVER_CLASSPATH%" %CONFIG_LOCATION%

"%JAVA%" %JAVA_OPTS% -classpath "%DRIVER_CLASSPATH%" -jar isqlc.jar %*

goto END
:STOP
pause
:END

